Package com.oracle.truffle.api.frame

## Class FrameSlot

- java.lang.Object
- - com.oracle.truffle.api.frame.FrameSlot

All Implemented Interfaces:
  `java.lang.Cloneable`

    public final class FrameSlot
    extends java.lang.Object
    implements java.lang.Cloneable

A slot in a frame that can store a value of a given type.

### Constructor Summary

Constructors
`FrameSlot​(FrameDescriptor descriptor, java.lang.Object identifier, java.lang.Object info, int index, FrameSlotKind kind)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FrameDescriptor` `getFrameDescriptor()`
`java.lang.Object` `getIdentifier()`
`int` `getIndex()`
`java.lang.Object` `getInfo()`
`FrameSlotKind` `getKind()`
`void` `setKind​(FrameSlotKind kind)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FrameSlot

    public FrameSlot​(FrameDescriptor descriptor,
                     java.lang.Object identifier,
                     java.lang.Object info,
                     int index,
                     FrameSlotKind kind)

### Method Detail

#### getIdentifier

    public java.lang.Object getIdentifier()

#### getInfo

    public java.lang.Object getInfo()

#### getIndex

    public int getIndex()

#### getKind

    public FrameSlotKind getKind()

#### setKind

    public void setKind​(FrameSlotKind kind)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getFrameDescriptor

    public FrameDescriptor getFrameDescriptor()